{
  "prepare": [{
    "label": "Devrait préparer correctement les données du corpus",
    "arguments": {
      "input": "./test/dataset/in/resources/corpora/",
      "output": "./test/dataset/out/"
    },
    "result": {
      "equal": null
    }
  }],
  "init": [{
    "label": "Devrait créer l'architecture de répertoire sans erreur",
    "arguments": {
      "input": "./test/dataset/in/resources/corpora/",
      "output": "./test/dataset/out/"
    },
    "result": {
      "equal": null
    }
  }, {
    "label": "Ne devrait pas créer l'architecture de répertoire (invalid output directory)",
    "arguments": {
      "input": "./test/dataset/in/resources/corpora/",
      "output": "/opt"
    },
    "result": {
      "not": true,
      "equal": null
    }
  }],
  "harvest": [{
    "label": "Devrait harvester le corpus sans erreur",
    "arguments": {
      "input": "./test/dataset/out/corpus1.txt",
      "output": "./test/dataset/out/in/corpus1/"
    },
    "result": {
      "equal": null
    }
  }, {
    "label": "Ne devrait pas harvester le corpus (Invalid Id)",
    "arguments": {
      "input": "./test/dataset/in/resources/corpora/errors/invalid_ids.txt",
      "output": "./test/dataset/out/errors/"
    },
    "result": {
      "not": true,
      "equal": null
    }
  }],
  "indexAll": [{
    "label": "Devrait indexer tout le corpus",
    "arguments": {
      "directory": "./test/dataset/in/resources/corpora/corpus_100docs/",
      "output": "./test/dataset/out/indexAll.json"
    },
    "result": {
      "equal": null
    }
  }]
}